Windows User Computers
List all Windows User Computers
List WindowsUserComputer resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
windows_user_computer
List all Windows User Computers
curl --request GET \
--url https://api.vanta.com/v1/resources/windows_user_computer \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/windows_user_computer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/windows_user_computer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/resources/windows_user_computer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/resources/windows_user_computer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/resources/windows_user_computer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/resources/windows_user_computer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"collectedTimestamp": "2023-11-07T05:31:56Z",
"osName": "<string>",
"osVersion": "<string>",
"hardwareUuid": "<string>",
"serialNumber": "<string>",
"programs": [
{
"name": "<string>",
"lastOpenedTimestamp": "2023-11-07T05:31:56Z"
}
],
"browserExtensions": [
{
"extensionId": "<string>",
"name": "<string>",
"browser": "CHROME"
}
],
"drives": [
{
"name": "<string>",
"encrypted": true,
"isBootVolume": true
}
],
"users": [
{
"username": "<string>",
"screenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"screenlockSettings": {
"requiresPassword": true,
"screenSleepTimeoutMs": 123
},
"lastLoginTimestamp": "2023-11-07T05:31:56Z"
}
],
"systemScreenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"isManaged": true,
"autoUpdatesEnabled": true,
"owner": "<string>",
"passwordPolicy": {
"minimumLengthRequirement": 123
},
"lastEnrolledTimestamp": "2023-11-07T05:31:56Z",
"windowsSecurityProducts": [
{
"name": "<string>",
"category": "FIREWALL",
"state": "ON",
"stateTimestamp": "2023-11-07T05:31:56Z",
"signaturesUpToDate": true
}
],
"windowsSecurityCenter": {
"firewall": "GOOD",
"autoupdate": "GOOD",
"antivirus": "GOOD",
"internetSetting": "GOOD",
"userAccountControl": "GOOD",
"windowsSecurityCenterService": "GOOD"
}
}
]
}Authorizations
Scopes
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Was this page helpful?
⌘I
List all Windows User Computers
curl --request GET \
--url https://api.vanta.com/v1/resources/windows_user_computer \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/windows_user_computer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/windows_user_computer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/resources/windows_user_computer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/resources/windows_user_computer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/resources/windows_user_computer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/resources/windows_user_computer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"collectedTimestamp": "2023-11-07T05:31:56Z",
"osName": "<string>",
"osVersion": "<string>",
"hardwareUuid": "<string>",
"serialNumber": "<string>",
"programs": [
{
"name": "<string>",
"lastOpenedTimestamp": "2023-11-07T05:31:56Z"
}
],
"browserExtensions": [
{
"extensionId": "<string>",
"name": "<string>",
"browser": "CHROME"
}
],
"drives": [
{
"name": "<string>",
"encrypted": true,
"isBootVolume": true
}
],
"users": [
{
"username": "<string>",
"screenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"screenlockSettings": {
"requiresPassword": true,
"screenSleepTimeoutMs": 123
},
"lastLoginTimestamp": "2023-11-07T05:31:56Z"
}
],
"systemScreenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"isManaged": true,
"autoUpdatesEnabled": true,
"owner": "<string>",
"passwordPolicy": {
"minimumLengthRequirement": 123
},
"lastEnrolledTimestamp": "2023-11-07T05:31:56Z",
"windowsSecurityProducts": [
{
"name": "<string>",
"category": "FIREWALL",
"state": "ON",
"stateTimestamp": "2023-11-07T05:31:56Z",
"signaturesUpToDate": true
}
],
"windowsSecurityCenter": {
"firewall": "GOOD",
"autoupdate": "GOOD",
"antivirus": "GOOD",
"internetSetting": "GOOD",
"userAccountControl": "GOOD",
"windowsSecurityCenterService": "GOOD"
}
}
]
}